discard
//set trace on
drop _all

cd D:\project\Stata_lca\distal_lca_32-bit\ /*CHANGE THIS PATH TO MATCH THE FILE LOCATION ON YOUR MACHINE!*/
infile using LcaSampleDataset


/*Example 1: LCA model  */
doLCA SmokedBefore13 DailySmoke DroveDrunk DrankBefore13 BingeDrink MarijuanaBefore13 CocaineEver GlueEver MethEver EcstasyEver SexBefore13 ManyPartners, ///
      nclass(5) ///
	  seed(100000) ///
	  seeddraws(100000) ///
	  categories(2 2 2 2 2 2 2 2 2 2 2 2)  ///
	  criterion(0.000001)  ///
	  rhoprior(1.0)
	  
return list
matrix list r(gamma)
matrix list r(gammaSTD)
//matrix list r(rho)
//matrix list r(rhoSTD)


/* Example 2: LCA model with groups and measurement invariance*/
doLCA SmokedBefore13 DailySmoke DroveDrunk DrankBefore13 BingeDrink MarijuanaBefore13 CocaineEver GlueEver MethEver EcstasyEver SexBefore13 ManyPartners, ///
      nclass(5) ///
	  id(ID)                 ///
	  maxiter(5000)  			///
	  groups (gender) 				///
	  groupnames("male female") ///
	  measurement("groups") 		///
	  seed(123456789) 			///
	  seeddraws(100000) ///
	  categories(2 2 2 2 2 2 2 2 2 2 2 2)	///
	  criterion(0.000001)  		///
	  rhoprior(1.0)


/* Example 3: LCA model with groups and covariates  LIYING, I ADDED A BETA PRIOR. WITHOUT THAT IT WILL NOT CONVERGE IF THE RACE COVARIATES ARE INLCUDED. */ 
doLCA SmokedBefore13 DailySmoke DroveDrunk DrankBefore13 BingeDrink MarijuanaBefore13 CocaineEver GlueEver MethEver EcstasyEver SexBefore13 ManyPartners,  ///
      nclass(5)					///
	  id(ID)                 ///
	  maxiter(5000)  			///
	  groups (gender) 				///
	  groupnames("male female") ///
	  measurement("groups") 		///
	  covariates(TVHours MomEduc) 	///
	  reference(1)				///
	  seed(123456789) 			///
	  seeddraws(100000) ///
	  categories(2 2 2 2 2 2 2 2 2 2 2 2)	///
	  criterion(0.000001)  		///
	  rhoprior(1.0) ///
	  betaprior(1)
		

/* Example 4: LCA model with groups, covariates, rho starts, and gamma starts */
doLCA SmokedBefore13 DailySmoke DroveDrunk DrankBefore13 BingeDrink MarijuanaBefore13 CocaineEver GlueEver MethEver EcstasyEver SexBefore13 ManyPartners,  ///
      nclass(5)					///
	  categories(2 2 2 2 2 2 2 2 2 2 2 2)	///
	  id(ID)                 ///
	  maxiter(5000)  			///
	  groups (gender) 				///
	  groupnames("male female") ///
	  measurement("groups") 		///
	  covariates(TVHours MomEduc) 	///
	  gammastart    (0.2 0.2 0.2 0.2 0.2 ///
					 0.2 0.2 0.2 0.2 0.2) ///
	  rhostart    ( 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///	
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8) ///
	  criterion(0.000001)  		///
	  rhoprior(1.0) ///
	  betaprior(1)


/* Example 5: LCA model with groups, rho starts, gamma starts, and restrictions */	  
doLCA SmokedBefore13 DailySmoke DroveDrunk DrankBefore13 BingeDrink MarijuanaBefore13 CocaineEver GlueEver MethEver EcstasyEver SexBefore13 ManyPartners,  ///
      nclass(5)					///
	  categories(2 2 2 2 2 2 2 2 2 2 2 2)	///
	  id(ID)                 ///
	  maxiter(5000)  			///
	  groups (gender) 				///
	  groupnames("male female") ///
	  measurement("groups") 		///
	  gammastart    (0.2 0.2 0.2 0.2 0.2 ///
					 0.2 0.2 0.2 0.2 0.2) ///
	  gammarestrict    ( 1 1 1 1 1	///
						 1 1 1 1 1) ///
	  rhostart    ( 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///		
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8 ///
					0.8 0.2 0.2 0.8 0.8 0.2 0.8 0.2 0.2 0.8 0.8 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 ///
					0.2 0.8 0.8 0.2 0.2 0.8 0.2 0.8 0.8 0.2 0.2 0.8) ///
	  rhorestrict    ( 1  1  1  1  1  1  1  1  1  1  1  1 ///		
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  2  2  1  1  1  1  2  2  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///		   
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///		
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  2  2  1  1  1  1  2  2  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///		   
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///
					   1  2  2  1  1  1  1  2  2  1  1  1 ///		
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///		   
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1 ///	
					   1  2  2  1  1  1  1  2  2  1  1  1 ///	
					   1  1  1  1  1  1  1  1  1  1  1  1) ///		   
	  criterion(0.000001)  		///
	  rhoprior(1.0)	  
